from utils.branch_details import branch_details
from utils.format import format_branch
from utils.git_commands import git_checkout_branch


def new_branch():
    branch_type, branch_id = branch_details()
    branch_name = format_branch(branch_type, branch_id)
    git_checkout_branch(branch_name)
